/*
 * Ubiquity REST API
 *
 * Ubiquity provides a RESTful and uniform way to access blockchain resources, with a rich and reusable model across multiple cryptocurrencies.  [Documentation](https://app.blockdaemon.com/docs/ubiquity)  ### Protocols #### Mainnet The following protocols are currently supported: * bitcoin * ethereum * polkadot * xrp * algorand * stellar * dogecoin * oasis * stacks  #### Testnet * bitcoin/testnet * ethereum/ropsten * dogecoin/testnet  ##### Pagination Certain resources contain a lot of data, more than what's practical to return for a single request. With the help of pagination, the data is split across multiple responses. Each response returns a subset of the items requested and a continuation token.  To get the next batch of items, copy the returned continuation token to the continuation query parameter and repeat the request with the new URL. In case no continuation token is returned, there is no more data available. 
 *
 * The version of the OpenAPI document: 2.0.0
 * Contact: support@blockdaemon.com
 * Generated by: https://openapi-generator.tech
 */

/// Transfer : Transfer of currency from one account to another



#[derive(Clone, Debug, PartialEq, Serialize, Deserialize)]
pub struct Transfer {
    /// Sender address
    #[serde(rename = "from")]
    pub from: String,
    /// Receiver address
    #[serde(rename = "to")]
    pub to: String,
    #[serde(rename = "currency")]
    pub currency: Box<crate::models::Currency>,
    /// Integer string in smallest unit (Satoshis)
    #[serde(rename = "value")]
    pub value: String,
    #[serde(rename = "fee", skip_serializing_if = "Option::is_none")]
    pub fee: Option<Box<crate::models::Fee>>,
}

impl Transfer {
    /// Transfer of currency from one account to another
    pub fn new(from: String, to: String, currency: crate::models::Currency, value: String) -> Transfer {
        Transfer {
            from,
            to,
            currency: Box::new(currency),
            value,
            fee: None,
        }
    }
}


